sasl_getprop(26 March 2000)

NAME
sasl_getprop - Get a SASL property

SYNOPSIS
#include <sasl.h>

int sasl_getprop(sasl_conn_t *conn,
			 int propnum,
			 void ** pvalue);

DESCRIPTION
sasl_getprop gets the value of a SASL property. For example after successful authentication a server may wish to know the authorization name. Or a client application may wish to know the strength of the negotiated security layer. conn is the SASL connection object. propnum is the identifier for the property requested and pvalue is filled in on success. List of properties follows:
SASL_USERNAME   -  pointer to NUL terminated user name
SASL_SSF        -  security layer security strength factor, if 0, call to sasl_encode, sasl_decode unnecessary
SASL_MAXOUTBUF  -    security layer max output buf unsigned
SASL_REALM      -    server authentication realm used
SASL_GETOPTCTX  -    context for getopt callback
SASL_IP_LOCAL   -    local address (pvalue=sockaddr_in *)
SASL_IP_REMOTE  -    remote address (pvalue=sockaddr_in *)

RETURN VALUE
Returns SASL_OK on success. SASL error code on failure.

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff